package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.CphClasstwo;
import com.srs.comprehensive.domain.Vo.CphScoreVo;
import com.srs.comprehensive.domain.Vo.StuIdNo;
import com.srs.framework.mybatisplusMapper.EasyBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 第二课堂Mapper接口
 *
 * @author zhy
 * @date 2023-07-03
 */
@Mapper
public interface CphClasstwoMapper extends EasyBaseMapper<CphClasstwo>
{


    public List<StuIdNo> getStuIdByStuNosToInsert(@Param("stuNos")String[] stuNos);
    public List<StuIdNo> getStuIdByStuNosToUpdate(@Param("stuNos")String[] stuNos,@Param("stuYearId") Long stuYearId);

    public List<CphScoreVo> listAllSportInfo(Long stuYearId);


    /**
     * 查询第二课堂
     *
     * @param id 第二课堂主键
     * @return 第二课堂
     */
    public CphClasstwo selectCphClasstwoById(Long id);

    /**
     * 查询第二课堂列表
     *
     * @param cphClasstwo 第二课堂
     * @return 第二课堂集合
     */
    public List<CphClasstwo> selectCphClasstwoList(CphClasstwo cphClasstwo);

    /**
     * 查询第二课堂列表
     *
     * @param cphClasstwo 第二课堂 连表查询
     * @return 第二课堂集合
     */
    public List<CphClasstwo> selectCphClasstwoListJoin(CphClasstwo cphClasstwo);





    /**
     * 新增第二课堂
     *
     * @param cphClasstwo 第二课堂
     * @return 结果
     */
    public int insertCphClasstwo(CphClasstwo cphClasstwo);

    /**
     * 修改第二课堂
     *
     * @param cphClasstwo 第二课堂
     * @return 结果
     */
    public int updateCphClasstwo(CphClasstwo cphClasstwo);

    /**
     * 删除第二课堂
     *
     * @param id 第二课堂主键
     * @return 结果
     */
    public int deleteCphClasstwoById(Long id);

    /**
     * 批量删除第二课堂
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCphClasstwoByIds(Long[] ids);

    void updateCphClasstwoList(List<CphClasstwo> needUpdateQuery);
}
